case $CONFIG in
'')	 if test -r ../config.sh
	 then 
	    . ../config.sh ;
	 else 
	    spitshell=cat
	    package=UltimateIRCd
	 fi
	 ;;
esac

echo "Extracting $package version.c..."

if test -r version.c
then
   generation=`sed -n 's/^char \*generation = \"\(.*\)\";/\1/p' < version.c`
   if test ! "$generation" ; then generation=0; fi
else
   generation=0
fi

generation=`expr $generation + 1`


creation=`date | \
awk '{if (NF == 6) \
         { print $1 " "  $2 " " $3 " "  $6 " at " $4 " " $5 } \
else \
         { print $1 " "  $2 " " $3 " " $7 " at " $4 " " $5 " " $6 }}'`

$spitshell >version.c <<!SUB!THIS!
/*
**   UltimateIRCd - Ultimate Internet Relay Chat Daemon, src/version.c
**   Copyright (C) 1990 Chelsea Ashley Dyerman
**
**   Rewritten for UltimateIRCd by ShadowRealm Creations.
**   Copyright (C) 1997-2000 Infomedia Inc.
**
**   This program is free software; you can redistribute it and/or modify
**   it under the terms of the GNU General Public License as published by
**   the Free Software Foundation; either version 1, or (at your option)
**   any later version.
**
**   This program is distributed in the hope that it will be useful,
**   but WITHOUT ANY WARRANTY; without even the implied warranty of
**   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
**   GNU General Public License for more details.
**
**   You should have received a copy of the GNU General Public License
**   along with this program; if not, write to the Free Software
**   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/


/*
 * This file is generated by version.c.SH. Any changes made will go away.
 */

#include "struct.h"
#include "version.h"
#include "common.h"

char *generation = "$generation";
char *creation = "$creation";
#define IRCDTOTALVERSION BASE_VERSION MAJOR_RELEASE MINOR_RELEASE REVISION RELEASE_NAME BETA_RELEASE PATCH1 PATCH2 PATCH3 PATCH4 PATCH5 PATCH6 PATCH7 PATCH8 PATCH9
char *version = IRCDTOTALVERSION;


char *dalinfotext[] =
    {
	 "Based on the original code written by Jarkko Oikarinen",
	 "Copyright 1988, 1989, 1990, 1991 University of Oulu, Computing Center",
	 "",
	 "The following people have contributed code, or support",
	 "to the dfhybrid team:",
	 "aClient             Diane Bruce         db@koruna.varner.com",
	 "Dakal               David Knepper       dakal@dal.net",
	 "Dalvenjah           Sven Nielsen        dalvenjah@dal.net",
	 "Epiphani            Aaron Wiebe         epiphani@solarz.net",
	 "lucas               Lucas Madar         lucas@negaverse.org",
	 "MSofty              Mark Salerno        msofty@dal.net",
	 "Raistlin_Mejere     Jason Slagle        raistlin@bahamut.net",
	 "Rakarra             Ian Westcott        rakarra@dal.net",
	 "White_Dragon        Chip Norkus         wd@dal.net",
	 "",
	 "The following people have contributed ideas or testing to the",
	 "dfhybrid project:",
	 "driz                David Friedman      driz@dal.net",
	 "Kevin               Kevin Turner        kevin@dal.net",
	 "",
	 "",
	 "Developers and Contributors for previous versions:",
	 "",
	 "Chris A. Bongaarts  Chris Behrens       Diane Bruce",
	 "Johannes Erdfelt    Roger Espel Llima   Jon Lusky",
	 "Michael Pearce      Brian Kraemer       Joan Touzet",
	 "Chris Portman       Keith Fralick       Sam Noble",
	 "Taner Halicioglu    Chris Behrens       Darren Reed",
	 "Markku Savela       Greg Lindahl        Jarkko Oikarinen",
	 "Armin Gruner        Matthew Green       Chuck Kane",
	 "Matt Lyle           Vesa Ruokonen       Nicolas PIOCH",
	 "Stellan Klebom      Dan Goodwin         Mike Bolotski",
	 "Ian Frechette       Markku Jarvinen     Kimmo Suominen",
	 "Jeff Trim           Vijay Subramaniam   Karl Kleinpaste",
	 "Bill Wisner         Tom Davis           Hugo Calendar",
	 "Tom Hopkins         Stephen van den Berg",
	 "Bo Adler            Michael Sandrof     Jon Solomon",
	 "Jan Peterson        Helen Rose          Paul Graham",
	 "",
	 "Thanks also goes to those persons not mentioned here who have added",
	 "their advice, opinions, and code to IRC.",
	 "Thanks also to those who provide the kind sys admins who let me and",
	 "others continue to develop IRC.",
	 "Thanks also to those who continue to make twinkies and doritos, as they",
	 "are the backbone of most programmers' diets and thus make it possible",
	 "for code like this to be developed!",
        "",

        0,
    };


/*
**
** No Name or entry in this list Should EVER Be Removed - HAMLET
**
*/

char *credittext[] =
    {
	"\2~~~~~~ " IRCDTOTALVERSION " Credits ~~~~~~\2",
	"",
	"     \2~~ The UltimateIRCd Development Team Would Like To Thank: ~~\2",
	"",
	"\2All Admins And Networks Using UltimateIRCd\2",
	" - For your support, ideas, bugfinds, flames",
	"   and for making us want to go on developing the IRCd and make it better.",
	"",
	"\2SourceForge (http://www.sourceforge.net/)\2",
	" - Providing us with a good project management interface, bug tracking facilities etc.",
	"",
	"\2Infomedia Inc, & The WorldVillage (http://www.worldvillage.com)\2)",
	" - For making this IRCd a reality and supporting our work all the way from the start.",
	"   Also big thanks to Mayor for giving us access to his systems and providing",
	"   ShadowRealm Creations with a home on the World Wide Wait.",
	"",
	"\2InetKing (http://www.inetking.com/)\2",
	" - For helping further ShadowRealm Creations and providing us with a stable",
	"   base for our IRCd's running on two different networks.",
	"",
	"                  \2~~ HAMLET Would Like To Thank: ~~\2",
	"",
	"\2Marvie\2",
	" - For your friendship, for your love, for the endless hours you've spent with me.",
	"   For giving me the strenght trough tough times.",
	"",
	"\2Emerald\2",
	" - For all the things you have done for me.",
	"   For all the joy and happiness you brought into my life.",
	"   And generally thanks for everything.",
	"",
	"\2DarkWolf\2",
	" - For always being there there for me, both with moral support and technical support",
	"   For being a good friend and caring for me.", 
	"",
	"\2DKay\2",
	" - For endless support with both Beta Testing and for",
	"   being there when i needed it.",
	"",
	"\2Serena\2",
	" - For always being there to pick up the pieces, and putting them back together again.",
	"",
	"\2Nak\2",
	" - Without you this would not exsist.",
	"",
	"\2Zave\2",
	" - For inspiration, being a good friend, letting me be in the Zaveland Chronicles,",
	"   and everything else you have done for me.",
	"",
	"\2WarNPeace\2",
	" - For constantly bugging me about bugs, typos etc and making sure i fixed them.",
	"   Always coming up with new ideas and suggestions, and most of allsupporting my work.",
	"",
	"\2HMetal\2",
	" - For all the hints and tips on coding you have given me trough the years.",
	"   Not to forget all the bugfixes and code snipits you have added to this IRCd.",
	"",
	"                \2~~ Also Thanks To: ~~\2",
	"",
	"Jarkko Oikarinen, The StarChat Coding Team, The Bahamut Coding Team,",
	"CM, Binary, Stskeeps, Nuclear-X, Snazzy, Kerrne, Derelict, Magic, Mayor,",
	"Allan, Auntie, ToyMaster, XT, ZJ, JyNx ",
	"and everyone else who have added their code, advice and opinions",
	"to the development of this IRCd.",
	"",
	"\2~~~~~~~~~~~~~~~~~~~~~~~~\2",
	"",
	"UltimateIRCd is dedicated to Carly Jane (Marvie)",
	"For reasons that for many are unknown... but for being the best friend one",
        "could ever ask for, for caring about me and making me smile.",
	"For always cheering me up when i am down... for being the light in my life....",
	"..... And much much more.",
	"",
	"The ArcticTiger series are also dedicated to a good friend of mine,",
	"Jeff Beesler (Zave)",
	"A good friend and a source of inspiration. Also one heck of a writer.",
	"This one is for you Jeff. Long live the ArcticTiger and her crew.",
	"",
	"\2~~~~~~~~~~~~~~~~~~~~~~~~\2",
        0,
    };

char *unrealinfotext[] = 
{
	"People on this list are people who I want to credit",
	"for something - creating Unreal or other things",
	"related to me or making of any project..",
	"-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=",
	"Anyone who I forgot I thank as well. UnrealIRCd",
	"is based off Elite2.0b13 made by Potvin under the GPL",
	"*** No entry in this list should ever be removed. ***",
	"-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=",
	"Nutcais      Phil Hawkins             @ global-irc.net",
	" - stskeeps@head.hoffas.net shell for me to develop",
	"   and userful comments - being an IRC brother for me:))",
	"   learning me a lot about irc stuff + tspre.org domain",
	"   and so on",
	"TC           Tabita Clausen           (reallife)",
	" - Making me smile of my life, talking with me, being a friend",
	"   always got a pen sharpener when needed=/, accepting some",
	"   wierdnesses from my side, going to the cinema with me",
	"   and many other stuff...",
	"nikki/bubbles69      Nikki",
	" - Being one of my best friends on Internet, hugging",
	"   me when I was down, advices advices - thanks for",
	"   believing in me :))",
	"SL7          Steve Lake               sl7@global-irc.net",
	" - Bug testing, comments, lotsa ideas, wierd reactions,",
	"   making Apollo, supporting Unreal and other freakout",
	"   thingies, being a general wierdoe etc. ",
	"{X}           Laurie                  djhype@home.com",
	" - Most of the new UnrealIRCd/32 GUI, comments, ideas etc.",
	"poppy       Ann Lott                  poppy@global-irc.net",
	" - Understanding me, some testing, talking with me",
	"   advices, learning me about some IRC network stuff,",
	"   and other great things! :)",
	"Shmad       Adam Rutter               shmad@dreaming.org",
	" - Comments, bugtesting, comments, bugtesting (yes again)",
	"   Helping with ideas for the IRCd and for getting it into",
	"   GlobalIRC & Dreaming.org etc. .. :)",
	"DJBoxy       *unknown*                *unknown*",
	" - For getting me up from #wIRCd bringing me to Mp3fansNet and",
	"   after we linked to Global-IRC.net - and made people choose me",
	"   as netadmin/ircd coder - Thanx!",
	"codemastr                             codemstr@nhn.net",
	" - Comments, bugfixes, m_knock patches, diff lame questions (j/k),",
	"   win32 compiling along with suggestions and other stuff,",
	"   making everyone think I died.. which I fortunately didn't *slap*",
	"   win32 coding, E:line suggestion (yes I blame you for that:>)",
        "   and being a helping hand at times:), stealing of my ideas >=P (;))",
	"Morrigan             Julie Frederiksen",
	" - Being a friend, thinking I was cute, uhm laying on a recycle",
	"   thing.. 'Its the wrong recycle box Julie!', 'you got too cold",
	"   hands *freezing*', etc ;)",
	"                     Mia",
	" - Being funny liking me too and many other wierdoe things..",
	"   Mia & Julie .. the westside witches..",
	"Magic_Wizard         Michael Delisi     delisi.geo@yahoo.com",
	" * http://wircds.hypermart.net",
	" - Giving me a little hint about the rehash bug.. that",
	"   Twilight IRCd didn't crash when /Rehash'ing + win32 porting help",
	"   and final version of Unreal port",
	"zero9000      Kevin Alford            zero@bellsouth.net",
	" - UnrealIRCd logo, wierdoe comments and more:)",
	"Sporty_McFly  Cedric",
	" - Comments, helping me when I got problems with my life and so on",
        "   *toh* to him - Thanks!",
	"Del_Monte     K. Hawkes               k.hawkes@zombies.force9.net",
	" - 'Is just trying to put the lamer side of things across :cP'",
	"   'No.' 'I saw 2 moo's.' - 'Well having to input in seconds",
	"   is fine if you're real quick at maths - but if not - it's a PAIN'",
	"   - Comments, bugfixes, moral support etc.;)",
	"Merlin                                http://www.cbt-education.de",
	"  - 'Why do you think i write the script?? Why do you program?",
	"     Unreal? Answer: Because we have fun!'",
	"Skywalker     Chris Morley            skywalker@irc.ru.ac.za",
	" - Helping me start up ROXnet at first (which brought me",
	"   into IRCd business.. + Numerous kicks /Kills akills and alike;)",
	"LuSheS        Shauntray               lushes@dreaming.org",
	" - Comments, advices etc.",
	"Andryan",
	" - Ideas, bugfinds, and support",
	"TomaHawk      Robert Keitel          ",
        " - for finding a little if (parc < 2) bug ;) in the /set family",
        "   and other stuff",
	"binary          The twilight ircd coder",
	" - for making a good channel mode system:) + Twilight IRCd",	
	"Dark-Prince     brownd@intermet.net.au",
	" - Ideas, sharing ideas, win32 tray code, etc.",
        "Bahamut IRCd Team",
        " - making sendto_common_channels that work .",
	"Andy		 Andy Brown",
	" - being a friend, bugfinds, and alike",
	"NonMortal",
	" - discovering the first iNAH bug.. and some ideas",
	"BlueFlame^",
	" - 10 US$ - My first Unreal donation:) THANKS!",
	"   *goes frame it*",
	"Enforcer - K:Line log idea and leading to the ircd.log",
	"Andy Church (maker of espernet services) - example of linked lists working..",
	"Mick, Sp^ - for Amiga port of Unreal and several bugfinds",
	"ShadowMaster - ideas,flames;),bugfinds etc",
	"Almaris - Test of 2.1.5 pre-release",
	"}{ - Patches, and comments ideas",
        "Erik/Dr|zzt, and others finding bugs..",
	"Hedge - Patches & Testing",
	"Kyle - wierd oflag H iNAH bug",
	"MissKel - being a friend and many other things",
	"jfc - cmunk@draconic.fyremoon.net account",
	"Fish - support",
	"kore, syndicate, etc..",
	"And the rest of the Unreal team .. of people",
	"",	
	"Thanks to Global-IRC, DragonWings, Dreaming.org, Alphaquad and",
	"other networks using Unreal (+ Mp3Fans.net and so on)",
	"Also credits to ^NeVeR^, flygirl^, DannyM, JuliuZ",
	"wah-wah^, Becc15, Lisa, Melisa, #wIRCd, and the others affecting",
	"me in a good(?) way",
	"------------------------------------------------------",
	"This IRCd version is dedicated to Tabita (TC) Clausen",
	"for the reason for many unknown .. but for caring about me..",
	"and being a friend - and making me smile in my life...",
	"------------------------------------------------------",
	"This IRCd is dedicated to the love that has always been",
	"and will always be there - Thanks to the girls & friends that kept me up",
	"when I was down",
	0
};

!SUB!THIS!
